summaryrefslogtreecommitdiff
path: root/standalone/linux
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2012-11-28 16:09:38 -0400
committerGravatar Joey Hess <joey@kitenet.net>2012-11-28 16:09:38 -0400
commitfb71a853d0013cfb20dbe4a59eba68a022005724 (patch)
tree7153a24355009e850d3885dcb9de68661c7c48f6 /standalone/linux
parent90eabc3e24223c426562834eab2128a8d4cf5d7c (diff)
Fix broken .config/git-annex/program installed by standalone tarball.
It was doubly broken; both missing a slash, and containing "runshell git-annex", while some parts of the code expected it to be a simple path to a program. This appears to include the transfer queue runner, and the code that starts a new assistant process when switching to another repository in the webapp.
Diffstat (limited to 'standalone/linux')
-rwxr-xr-xstandalone/linux/git-annex25
1 files changed, 25 insertions, 0 deletions
diff --git a/standalone/linux/git-annex b/standalone/linux/git-annex
new file mode 100755
index 000000000..cda5b569b
--- /dev/null
+++ b/standalone/linux/git-annex
@@ -0,0 +1,25 @@
+#!/bin/sh
+base="$(dirname $0)"
+if [ ! -d "$base" ]; then
+ echo "** cannot find base directory (I seem to be $0)" >&2
+ exit 1
+fi
+if [ ! -e "$base/runshell" ]; then
+ echo "** cannot find $base/runshell" >&2
+ exit 1
+fi
+
+# Get absolute path to base, to avoid breakage when things change directories.
+orig="$(pwd)"
+cd "$base"
+base="$(pwd)"
+cd "$orig"
+
+# If this is a standalone app, set a variable that git-annex can use to
+# install itself.
+if [ -e "$base/bin/git-annex" ]; then
+ GIT_ANNEX_APP_BASE="$base"
+ export GIT_ANNEX_APP_BASE
+fi
+
+"$base/runshell" git-annex "$@"